none
Compatibility of Ajax Control Toolkit

    Question

  • Hi,

    I have already read a few posts about the Ajax Control Toolkit integrity and SharePoint 2010 in a custom webpart. And the comments always reference to the version 30930 (Released:Sep 30, 2009). And I use this version and it works without setting the ajax toolkit scriptmanager, adding safecontrol entries in webconfig etc.

    When I use a new version e.g. from october 2013 I get issues, even when I do the stuff with replacing and setting ajax toolkit scriptmanager on master pager etc.. In this case I always get a JS "Sys" exception....

    So, my general question:" Is version 30930 the only compatible version for SharePoint 2010?"

    Thanks for your answers!

    Regards,

    Martin

    Sunday, October 27, 2013 4:25 PM

Answers

  • Yes, Only 30930 is compatible with SharePoint 2010.If you want to use the latest version of ajax control tool kit, then you need to hack it to make it work( again required alot of effort).Ajax control toolkit for .net framework 3.5 doesn't work with SharePoint 2010. If you try to use Ajax Control Toolkit for 3.5 with SharePoint 2010 then you get the error ( which you mentioned).

    Thanks -WS SharePoint administrator, MCITP(SharePoint 2010, 2013) Blog: http://wscheema.com/blog *Please remember to mark your question as answered & Vote helpful,if this solves/helps your problem.*

    • Marked as answer by -MaSc- Sunday, October 27, 2013 8:12 PM
    Sunday, October 27, 2013 5:26 PM

All replies

  • Yes, Only 30930 is compatible with SharePoint 2010.If you want to use the latest version of ajax control tool kit, then you need to hack it to make it work( again required alot of effort).Ajax control toolkit for .net framework 3.5 doesn't work with SharePoint 2010. If you try to use Ajax Control Toolkit for 3.5 with SharePoint 2010 then you get the error ( which you mentioned).

    Thanks -WS SharePoint administrator, MCITP(SharePoint 2010, 2013) Blog: http://wscheema.com/blog *Please remember to mark your question as answered & Vote helpful,if this solves/helps your problem.*

    • Marked as answer by -MaSc- Sunday, October 27, 2013 8:12 PM
    Sunday, October 27, 2013 5:26 PM
  • Thank you for your answer.

    Are there any doubts/ known issues when using the version 30930 of the toolkit?

    Regards,

    Martin

    Sunday, October 27, 2013 7:35 PM
  • check this one http://ranaictiu-technicalblog.blogspot.com/2010/08/ajax-control-toolkit-with-sharepoint.html

    Thanks -WS SharePoint administrator, MCITP(SharePoint 2010, 2013) Blog: http://wscheema.com/blog *Please remember to mark your question as answered & Vote helpful,if this solves/helps your problem.*

    Monday, October 28, 2013 12:20 AM
  • Hi,

    thanks for the last comment, but I've already knew this post. My question is,if there are in general any problems with the ajax version, which is older than 4 years?

    Regards,

    Martin

    Monday, October 28, 2013 8:35 AM